Subject: bug#2836:

From: David Reitter <[email-masked]>
Date: Mon, 27 Apr 2009 17:08:24 -0400

First, I reproduce this only when the system and Emacs are set up to  
switch off antialiasing for a font as small as that.
With antialiasing on, the error doesn't occur.  (Can be reproduced  
with Emacs -Q, which seems to use special settings for antialiasing,  
or with
(setq ns-antialias-text nil)).

Reintroducing line spacing (which was removed for a reason) not only  
fixes this bug, but has global consequences.

So I don't think this is the right way to fix this bug.  I think we  
have to look at the code that draws the non-antialiased text.

For now, the workaround for this is

(set-frame-parameter nil 'line-spacing 2)
(or setting defaut-frame-alist accordingly).